org.eclipse.cdt.utils.elf

## Class SymbolSortCompare

- java.lang.Object
- - org.eclipse.cdt.utils.elf.SymbolSortCompare

All Implemented Interfaces:
  Comparator

Deprecated.
This class is slated for removal, it is not used by the CDT classes

    @Deprecated
    public class SymbolSortCompare
    extends Object
    implements Comparator

### Constructor Summary

Constructors
Constructor and Description
`SymbolSortCompare()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `compare(Object o1, Object o2)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### SymbolSortCompare

    public SymbolSortCompare()

Deprecated.

### Method Detail

#### compare

    public int compare(Object o1,
                       Object o2)

Deprecated.

Specified by:
  `compare` in interface `Comparator`